body {
  font-family: "Roboto", monospace;
  margin: 0;
  padding: 0;
}
nav {
  position: sticky;
  top: 0;
}

.page-title {
  text-align: center;
  font-weight: bold;
  font-size: 1em;
  letter-spacing: 0.3em;
}

header {
  width: 95%;
  display: flex;
  justify-content: space-between;
  margin: auto;

  padding: 1em;
}

nav {
  display: flex;
  justify-content: center;
  top: 30px;
  font-size: 0.8em;
}
nav div {
  margin-left: 1.5%;
  margin-right: 1.5%;
  margin-bottom: 1%;
  margin-top: 2.5%;
  padding-bottom: 0.5%;
}
.links {
  text-decoration: none;
  color: black;
}
.page-pic img {
  max-width: 100%;
  min-height: 50vh;
  object-fit: none;
  object-position: 50% 50%;
}

.item-category h1 {
  padding-top: 1em;
  font-size: 1em;
  text-align: center;
  font-weight: lighter;
}

.item-category div {
  color: grey;
  font-size: 0.8em;
  text-align: center;
}

.item-display {
  display: flex;
  flex-wrap: wrap;
}
.individual-item {
  text-align: center;
  flex: 1 0 33%;
  padding: 2% 0 0 0;
}

.individual-item img {
  width: 60%;
}
.individual-item-img {
  width: 65%;
}

.item-name {
  padding-top: 1em;
  font-weight: bold;
  font-size: 0.8em;
}
.item-price {
  color: grey;
  font-size: 0.8em;
  padding-top: 0.5em;
}

/*detail page*/
.item-preview {
  padding: 5%;
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
}

.dropdown-label {
  display: flex;
  font-size: 0.7em;
  transform: translateY(-186%);
  width: 15%;
  margin: 0;
}
.item-preview div {
  flex: 1 0 40%;
}
.item-preview-margin {
  margin: 1%;
}
.item-img-prev {
  text-align: center;
  max-width: 100%;
  object-fit: none;
}
.item-preview h1 {
  font-size: 24px;
  font-weight: 500;
  line-height: 28px;
}
.overlap-select {
  width: 85%;
  display: inline-block;
  position: relative;
  background-color: transparent;
  border: none;
  padding: 2% 7% 2% 14%;
  transform: translate(0%);
  border-bottom: solid;
  border-bottom-width: 0.005em;
  border-bottom-color: grey;
}

select {
  background-color: transparent;
  border: none;
  padding: 2% 7% 2% 14%;
}

.description {
  color: grey;
  font-size: 0.8em;
  width: 80%;
}
button {
  background-color: white;
  color: black;
  border-style: solid;
  padding: 2% 7% 2% 7%;
  border-color: black;
}

.l-country {
  display: inline-block;
  width: 10%;
  font-size: 72%;
}
.text-description {
  width: 80%;
}

.mid-dropdown {
  text-align: center;
}

.drop-downs {
  width: 95%;
  margin: 0;
}
hr {
  width: 84%;
}
li {
  margin-bottom: 1em;
}
.checkout-button2 {
  visibility: hidden;
}
select:focus,
input:focus {
  outline: none;
}

@media screen and (max-width: 767px) {
  header {
    width: 90%;
  }

  .individual-item {
    text-align: center;
    flex: 1 0 45%;
    padding: 2% 0 0 0;
  }
  .page-pic {
    display: none;
  }
  nav {
    display: none;
  }
  .item-preview {
    flex-direction: column;
  }
  .details {
    flex-direction: column;
  }
  .details div {
    width: 98%;
  }
  .select-design {
    width: 100%;
  }
  .overlap-select {
    width: 100%;
    margin: 0;
  }
  .drop-downs {
    margin: 0;
    width: 100%;
  }
  button {
    width: 100% !important;
    position: fixed;
    bottom: 0;
    margin: 0;
    border: none;
    background: #1e2f50;
    color: white;
    height: 5em;
    font-size: 1em;
  }
  hr {
    width: 100%;
  }

  .text-description {
    width: 100%;
  }
  .checkout-button1 {
    visibility: hidden;
  }
  .checkout-button2 {
    visibility: visible;
  }
}
